Get AISPM guardrail outcome totals
curl --request GET \
--url https://{instance}.flintai.dev/api/v1/aispm-llm-interactions-dash/tenants/{tenant_id}/workspaces/{workspace_id}/outcomes \
--header 'Authorization: <api-key>'import requests
url = "https://{instance}.flintai.dev/api/v1/aispm-llm-interactions-dash/tenants/{tenant_id}/workspaces/{workspace_id}/outcomes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{instance}.flintai.dev/api/v1/aispm-llm-interactions-dash/tenants/{tenant_id}/workspaces/{workspace_id}/outcomes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alerted": 123,
"blocked": 123,
"ok": 123,
"redacted": 123,
"total": 123
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}{
"code": 400,
"message": "Invalid request"
}aispm-guardrails
Get AISPM guardrail outcome totals
Returns aggregate totals of OK, BLOCKED, and REDACTED guardrail outcomes for LLM interactions in a time range
GET
/
aispm-llm-interactions-dash
/
tenants
/
{tenant_id}
/
workspaces
/
{workspace_id}
/
outcomes
Get AISPM guardrail outcome totals
Authorizations
Use this header with a Bearer token to authenticate requests.
Query Parameters
Beginning of time window (inclusive) in RFC3339 format
End of time window (inclusive) in RFC3339 format
Was this page helpful?
⌘I